## org.metaabm
Interface IModelExtension

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IAgentChild, IAttributeChild, SdModel

All Known Implementing Classes:
  SdModelImpl, SdModelImplGeneratedNot

    public interface IModelExtension

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'IModel Extension'.

See Also:
  `MetaABMPackage.getIModelExtension()`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getPackage()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

### getPackage

    java.lang.String getPackage()